Skip to main content
POST
/
generation
/
qwen
/
qwen-image-2-pro
Qwen Image 2 Pro
curl --request POST \
  --url https://open.skills.video/api/v1/generation/qwen/qwen-image-2-pro \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "<string>",
  "status": "starting",
  "usage": {
    "total": 0,
    "subscription": 0,
    "permanent": 0
  }
}
Qwen Image 2 Pro generation and editing model

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

application/json
prompt
string
required

Text prompt describing the desired image. Supports Chinese and English.

n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4
image_urls
string<uri>[]

Input images to transform or use as reference (supports up to 4 images).

negative_prompt
string
default:""

Content to avoid in the generated image. Max 500 characters.

Maximum string length: 500
image_size
enum<string>

The size of the generated image. If not provided, the size of the final input image will be used. Total number of pixels must be between 512x512 and 2048x2048.

Available options:
square_hd,
square,
portrait_4_3,
portrait_16_9,
landscape_4_3,
landscape_16_9
aspect_ratio
enum<string>
default:1:1

Aspect ratio for the generated image.

Available options:
1:1,
16:9,
9:16,
4:3,
3:4,
3:2,
2:3
enable_prompt_expansion
boolean
default:true

Enable LLM prompt optimization for better results.

seed
integer | null

Random seed for reproducibility (0-2147483647).

Required range: 0 <= x <= 2147483647
enable_safety_checker
boolean
default:true

Enable content moderation for input and output.

sync_mode
boolean
default:false

If true, return media as data URI and skip output history.

num_images
integer
default:1

Number of images to generate (1-4).

Required range: 1 <= x <= 4
output_format
enum<string>
default:png

The format of the generated image.

Available options:
jpeg,
png,
webp

Response

Generation status

id
string
required

Generation id.

status
enum<string>
required

Generation status

Available options:
starting,
processing,
succeeded,
failed,
canceled
usage
object
required

Credit usage breakdown for the request